Attribute VB_Name = "mdlrgn"
Option Explicit
Public Declare Function CreateRectRgn Lib "gdi32" (ByVal X1 As Long, ByVal Y1 As Long, ByVal X2 As Long, ByVal Y2 As Long) As Long

Public Declare Function GetPixel Lib "gdi32" (ByVal hdc As Long, ByVal x As Long, ByVal y As Long) As Long

Public Declare Function CombineRgn Lib "gdi32" (ByVal hDestRgn As Long, ByVal hSrcRgn1 As Long, ByVal hSrcRgn2 As Long, ByVal nCombineMode As Long) As Long
Public Declare Function SetWindowRgn Lib "user32" (ByVal hWnd As Long, ByVal hRgn As Long, ByVal bRedraw As Boolean) As Long

Public Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long
Public Const RGN_OR = 2




Public Function lGetRegion(lBackColor As Long, frmM As Object) As Long
Dim lRgn As Long
Dim lSkinRgn As Long
Dim lStart As Long
Dim lX As Long
Dim lY As Long
Dim lHeight As Long
Dim lWidth As Long
Dim ms As Long
lSkinRgn = CreateRectRgn(0, 0, 0, 0)
With frmM
    lHeight = .Height / Screen.TwipsPerPixelY
    lWidth = .Width / Screen.TwipsPerPixelX
    For lX = 0 To lHeight - 1
        lY = 0
        Do While lY < lWidth
            Do While lY < lWidth And GetPixel(.hdc, lY, lX) = lBackColor
                lY = lY + 1
            Loop

            If lY < lWidth Then
                lStart = lY
                Do While lY < lWidth And GetPixel(.hdc, lY, lX) <> lBackColor
                    lY = lY + 1
                Loop
                If lY > lWidth Then lY = lWidth
                lRgn = CreateRectRgn(lStart, lX, lY, lX + 1)
                CombineRgn lSkinRgn, lSkinRgn, lRgn, RGN_OR
                DeleteObject lRgn
            End If
        Loop
    Next
End With
lGetRegion = lSkinRgn
End Function
Public Function ApplySk(ByVal Color As OLE_COLOR, frmM As Object)
Dim lRgn As Long
 Screen.MousePointer = 13
    lRgn = lGetRegion(Color, frmM)
    frmM.BorderStyle = 0
    frmM.AutoRedraw = True
    SetWindowRgn frmM.hWnd, lRgn, True
    DeleteObject lRgn
 Screen.MousePointer = vbDefault
End Function
